### Struct

# Vips Progress

#### Description [src]

    struct VipsProgress {
      int run;
      int eta;
      gint64 tpels;
      gint64 npels;
      int percent;
      GTimer* start;
    }

A structure available to eval callbacks giving information on evaluation progress. See `VipsImage::eval`.

###### Structure members

`run:` `int`

  Time we have been running.

`eta:` `int`

  Estimated seconds of computation left.

`tpels:` `gint64`

  Number of pels we expect to calculate.

`npels:` `gint64`

  Number of pels calculated so far.

`percent:` `int`

  Percent complete.

`start:` `GTimer`

  Start time.

#### Functions

###### vips_progress_set

If set, vips will print messages about the progress of computation to stdout. This can also be enabled with the `--vips-progress` option, or by setting the environment variable `VIPS_PROGRESS`.